List chat histories with filters
curl --request POST \
--url https://api.devic.ai/v1/assistants/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistantIdentifier": "<string>",
"fromDate": "2023-12-25",
"toDate": "2023-12-25",
"metadata": {}
}
'import requests
url = "https://api.devic.ai/v1/assistants/chats"
payload = {
"assistantIdentifier": "<string>",
"fromDate": "2023-12-25",
"toDate": "2023-12-25",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assistantIdentifier: '<string>',
fromDate: '2023-12-25',
toDate: '2023-12-25',
metadata: {}
})
};
fetch('https://api.devic.ai/v1/assistants/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"chatUid": "<string>",
"assistantIdentifier": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"messages": [
{
"content": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"metadata": {}
}
]{
"error": "<string>",
"message": "<string>",
"details": {}
}Assistants
Get all chat histories with filters
Retrieves chat histories across all assistant specializations, with support for filtering by date range, metadata, and assistant identifier.
POST
/
v1
/
assistants
/
chats
List chat histories with filters
Authorizations
Use JWT token for authentication
Body
application/json
Filter parameters for chat histories
Response
List of chat histories matching the filter
Unique identifier for the chat session
Identifier for the assistant specialization used
Timestamp when the chat was created
Messages exchanged in the chat
Show child attributes
Show child attributes
Custom metadata associated with the chat
⌘I